apiVersion: v1
data:
  username: $USERNAME
  password: $PASSWORD
kind: Secret
metadata:
  name: bmc-secret-workers-047
  namespace: acm-itup-poc
type: Opaque
---
apiVersion: metal3.io/v1alpha1
kind: BareMetalHost
metadata:
  annotations:
    bmac.agent-install.openshift.io/hostname: worker-047.example.prod.psi.rdu2.redhat.com
    inspect.metal3.io: disabled
  labels:
    infraenvs.agent-install.openshift.io: acm-itup-poc
    agent-install.openshift.io/bmh: worker-047
  name: worker-047
  namespace: acm-itup-poc
spec:
  automatedCleaningMode: disabled
  bmc:
    address: idrac-virtualmedia://$MGMTIP/redfish/v1/Systems/System.Embedded.1
    credentialsName: bmc-secret-workers-047
    disableCertificateVerification: true
  bootMACAddress: $MAC
  bootMode: "UEFI"
  online: true
